> ## Documentation Index
> Fetch the complete documentation index at: https://anaconda.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all tables in the vector database



## OpenAPI

````yaml /api-reference/ai-navigator-api.json get /api/vector-db/tables
openapi: 3.0.0
info:
  title: AI Navigator API
  version: 1.0.0
  description: API documentation for AI Navigator
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /api/vector-db/tables:
    get:
      tags:
        - VectorDB
      summary: Get all tables in the vector database
      responses:
        '200':
          description: Tables retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items: 7b0c70b2-0f90-45d0-bda0-f5e9bbe25f17
        '404':
          description: Server is not running
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - INVALID_REQUEST
                - DATABASE_NOT_RUNNING
                - INTERNAL_SERVER_ERROR
                - INVALID_SERVER_ID
                - SERVER_NOT_RUNNING
                - SERVER_RUNNING
                - INTERNAL_SERVER_ERROR
            message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: UUID
      description: Enter your API key here

````